org.wildfly.swarm.config.security.security_domain

## Class ClassicIdentityTrust<T extends ClassicIdentityTrust<T>>

- java.lang.Object
- - org.wildfly.swarm.config.security.security_domain.ClassicIdentityTrust<T>

-     public class ClassicIdentityTrust<T extends ClassicIdentityTrust<T>>
      extends Object

  Identity trust configuration. Configures a list of trust modules to be used.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassicIdentityTrust.ClassicIdentityTrustResources` Child mutators for ClassicIdentityTrust

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassicIdentityTrust()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ClassicIdentityTrust.ClassicIdentityTrustResources` | `subresources()`
    `T` | `trustModule(String childKey)` Create and configure a TrustModule object to the list of subresources
    `T` | `trustModule(String childKey, TrustModuleConsumer consumer)` Create and configure a TrustModule object to the list of subresources
    `T` | `trustModule(TrustModule value)` Add the TrustModule object to the list of subresources
    `T` | `trustModule(TrustModuleSupplier supplier)` Install a supplied TrustModule object to the list of subresources
    `T` | `trustModules(List<TrustModule> value)` Add all TrustModule objects to this subresource

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassicIdentityTrust

          public ClassicIdentityTrust()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public ClassicIdentityTrust.ClassicIdentityTrustResources subresources()

    - #### trustModules

          public T trustModules(List<TrustModule> value)

      Add all TrustModule objects to this subresource
      Parameters:
        `value` - List of TrustModule objects.
      Returns:
        this

    - #### trustModule

          public T trustModule(TrustModule value)

      Add the TrustModule object to the list of subresources
      Parameters:
        `value` - The TrustModule to add
      Returns:
        this

    - #### trustModule

          public T trustModule(String childKey,
                               TrustModuleConsumer consumer)

      Create and configure a TrustModule object to the list of subresources
      Parameters:
        `key` - The key for the TrustModule resource
        `config` - The TrustModuleConsumer to use
      Returns:
        this

    - #### trustModule

          public T trustModule(String childKey)

      Create and configure a TrustModule object to the list of subresources
      Parameters:
        `key` - The key for the TrustModule resource
      Returns:
        this

    - #### trustModule

          public T trustModule(TrustModuleSupplier supplier)

      Install a supplied TrustModule object to the list of subresources

Copyright © 2018 JBoss by Red Hat. All rights reserved.